| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CreateBGRequest Struct Reference
Business Group

Create Business Group request. More...

`#include <osv-if-doc.h>`

## Public Attributes
unsp__NumberPlanName | NumberPlanName
| Default Private Number Plan Name. More...
char * | DisplayNumber
| When a subscriber with only a private number makes a external BG call, the BG's DisplayNumber is presented as the calling number. More...
xsd__boolean * | DNReserveEnabled
| Indicates whether this Business Group uses reserved Home DNs. More...
unsp__digits | BGAccessCode
| Business Group Access Code. More...
xsd__boolean * | Trusted
| Indicates whether the subscribers and endpoints configured within the BG are treated as internal towards subscribers and endpoints of other BGs. More...
xsd__boolean * | ReverseMlhgHMBToggleLED
| Indicates whether MLHG service reverses the Hunt Make Busy Feature Toggle Status sent to SIP SM. More...

## Detailed Description

Create Business Group request.

## Member Data Documentation

## ◆ BGAccessCode

unsp__digits unsp__CreateBGRequest::BGAccessCode

Business Group Access Code.

required: false
default value[range]: NA [1..15]

## ◆ DisplayNumber

char* unsp__CreateBGRequest::DisplayNumber

When a subscriber with only a private number makes a external BG call, the BG's DisplayNumber is presented as the calling number.

required: true
default value[range]: NA [1..15]

## ◆ DNReserveEnabled

xsd__boolean* unsp__CreateBGRequest::DNReserveEnabled

Indicates whether this Business Group uses reserved Home DNs.

required: false
default value[range]: false

## ◆ NumberPlanName

unsp__NumberPlanName unsp__CreateBGRequest::NumberPlanName

Default Private Number Plan Name.

required: true

See also
  unsp__NumberPlanName

## ◆ ReverseMlhgHMBToggleLED

xsd__boolean* unsp__CreateBGRequest::ReverseMlhgHMBToggleLED

Indicates whether MLHG service reverses the Hunt Make Busy Feature Toggle Status sent to SIP SM.

required: false
default value[range]: false

## ◆ Trusted

xsd__boolean* unsp__CreateBGRequest::Trusted

Indicates whether the subscribers and endpoints configured within the BG are treated as internal towards subscribers and endpoints of other BGs.

required: false
default value[range]: false

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h